Bug 12269 - Не отмонтирует автоматом сменный носитель при извлечении
: Не отмонтирует автоматом сменный носитель при извлечении
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/hal)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-07-08 19:16 by
Modified: 2011-01-22 17:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-08 19:16:18
Никаких КДЕ и прочих Гном (чистый старый AfterStep), никаких 
subfs, только HAL+ivman запущенный от пользователя, апплет wmvolman чтоб 
вручную не набирать pumount.

Вставил CD, он опознался, примонтировался в /mnt/dvd. Вытащил диск,
[alexei@threebears ~]$ lsof | grep dvd
[alexei@threebears ~]$

т.е. никто на нем не открыл ничего. В логи валом валит вот это:
VFS: busy inodes on changed media.
VFS: busy inodes on changed media.
VFS: busy inodes on changed media.
VFS: busy inodes on changed media.
VFS: busy inodes on changed media.
VFS: busy inodes on changed media.

Лечится с помощью
pumount /mnt/dvd

  причем ТОЛЬКО от рута, от юзера получаю
[alexei@threebears ~]$ pumount /mnt/dvd
umount: only root can unmount /dev/hdc from /mnt/dvd

Аналогичное поведение и для USB-флэшек.
------- Comment #1 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #2 From 2011-01-22 17:09:04 -------
Насколько понимаю, весь hal объявлен апстримом wontfix.